미디어 업로드 초기화
curl --request POST \
--url https://api.x.com/2/media/upload/initialize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additional_owners": [
"2244994945"
],
"media_category": "tweet_video",
"media_type": "video/mp4",
"shared": true,
"total_bytes": 8589934592
}
'import requests
url = "https://api.x.com/2/media/upload/initialize"
payload = {
"additional_owners": ["2244994945"],
"media_category": "tweet_video",
"media_type": "video/mp4",
"shared": True,
"total_bytes": 8589934592
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additional_owners: ['2244994945'],
media_category: 'tweet_video',
media_type: 'video/mp4',
shared: true,
total_bytes: 8589934592
})
};
fetch('https://api.x.com/2/media/upload/initialize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "1146654567674912769",
"media_key": "<string>",
"expires_after_secs": 123,
"processing_info": {
"check_after_secs": 123,
"progress_percent": 123
},
"size": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}업로드
미디어 업로드 초기화
미디어 업로드를 초기화합니다.
POST
/
2
/
media
/
upload
/
initialize
미디어 업로드 초기화
인증
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
본문
application/json
이 사용자에 대한 고유 식별자입니다. 일부 언어나 도구에서 큰 정수를 제대로 처리하지 못하는 문제를 피하기 위해 문자열로 반환됩니다.
Pattern:
^[0-9]{1,19}$미디어 사용 사례를 식별하는 문자열 형식의 enum 값입니다. 이 식별자는 사용 사례별 제한 사항(예: 파일 크기, 동영상 길이)을 적용하고 고급 기능을 활성화하는 데 사용됩니다.
사용 가능한 옵션:
amplify_video, tweet_gif, tweet_image, tweet_video, dm_gif, dm_image, dm_video, subtitles 예시:
"tweet_video"
미디어 유형입니다.
사용 가능한 옵션:
video/mp4, video/webm, video/mp2t, video/quicktime, text/srt, text/vtt, image/jpeg, image/gif, image/bmp, image/png, image/webp, image/pjpeg, image/tiff, model/gltf-binary, model/vnd.usdz+zip 예시:
"video/mp4"
이 미디어가 공유되는지 여부를 나타냅니다.
미디어 업로드의 총 크기(바이트 단위)입니다.
필수 범위:
0 <= x <= 17179869184응답
요청이 성공했습니다.
미디어 업로드 요청 상태를 GET으로 조회할 때 반환되는 응답입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I